import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefV2ExtraRewardTokenBalancesParams, GetMasterChefV2ExtraRewardTokenRewardRates, MasterChefV2TemplateContractPositionFetcher } from '../../../position/template/master-chef-v2.template.contract-position-fetcher';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { TraderJoeChefV2, TraderJoeChefV2Rewarder, TraderJoeContractFactory } from '../contracts';
export declare class AvalancheTraderJoeChefV2FarmContractPositionFetcher extends MasterChefV2TemplateContractPositionFetcher<TraderJoeChefV2, TraderJoeChefV2Rewarder> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly traderJoeContractFactory: TraderJoeContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, traderJoeContractFactory: TraderJoeContractFactory);
    getContract(address: string): TraderJoeChefV2;
    getExtraRewarderContract(address: string): TraderJoeChefV2Rewarder;
    getPoolLength(contract: TraderJoeChefV2): Promise<import("ethers").BigNumber>;
    getStakedTokenAddress(contract: TraderJoeChefV2, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: TraderJoeChefV2): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<TraderJoeChefV2>): Promise<import("ethers").BigNumber>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<TraderJoeChefV2>): Promise<import("ethers").BigNumber>;
    getPoolAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<TraderJoeChefV2>): Promise<import("ethers").BigNumber>;
    getExtraRewarder(contract: TraderJoeChefV2, poolIndex: number): Promise<string>;
    getExtraRewardTokenAddresses(contract: TraderJoeChefV2Rewarder): Promise<string[]>;
    getExtraRewardTokenRewardRates({ rewarderContract, }: GetMasterChefV2ExtraRewardTokenRewardRates<TraderJoeChefV2, TraderJoeChefV2Rewarder>): Promise<(number | import("ethers").BigNumber)[]>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<TraderJoeChefV2>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<TraderJoeChefV2>): Promise<import("ethers").BigNumber>;
    getExtraRewardTokenBalances({ address, contract, contractPosition, }: GetMasterChefV2ExtraRewardTokenBalancesParams<TraderJoeChefV2, TraderJoeChefV2Rewarder>): Promise<import("ethers").BigNumber>;
}
